/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus;

/**
 * ILifeCycle
 * - View 의 life-cycle 에 동기화 시킬 클래스들이 사용한다.
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 21.]   [최초 작성]
 * @since 2018. 9. 21.
 */
public interface ILifeCycle {

  /**
   * View.onStart() 에 호출한다.
   */
  void start();

  /**
   * View.onResume() 에 호출한다.
   */
  void resume();

  /**
   * View.onPause() 에 호출한다.
   */
  void pause();

  /**
   * View.onStop() 에 호출한다.
   */
  void stop();

  /**
   * destroy
   */
  void destroy();

}
